/* HC04IO4.CPP */
/*
 * Bearbeitung einzelner Bits
 * ==========================
 */
#include <portable.h>
#include <iodef.h>
#include <bios.h>
#include <ioc.h>
#ifndef MYLIB
#include "..\source\ioc.cpp"
#endif

INT main(VOID)
{
  cout << endl
       << "Lautsprecher schalten, Ende mit ESC"
       << endl;

//  IOBIT_IO tim2gate(0,XT_PPI_B);
//  IOBIT_IO tim2data(1,XT_PPI_B);
  IOBIT_IO tim2gate(B_PPI_TIM2GATE,XT_PPI);
  IOBIT_IO tim2data(B_PPI_TIM2DATA,XT_PPI);

  cout << "Speaker enable with '1' " << endl
       << "Speaker disable with '0' " << endl
       << "End with ESC" << endl;

  for (;;)
  {
    UINT key = bioskey(1);
    if (key)
    {
      bioskey(0);
      switch (key)
      {
      case 0x011b:
	tim2gate=0;
	tim2data=0;
	return EXIT_SUCCESS;
      case 0x0231:
	tim2gate=1;
	tim2data=1;
	break;
      case 0x0b30:
	tim2gate=0;
	tim2data=0;
	break;
      }
      cout << tim2gate << ' ' << tim2data << endl;
    }
  }
}
